summaryrefslogtreecommitdiffstats
path: root/third_party/rust/cast/ci/script.sh
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-28 14:29:10 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-04-28 14:29:10 +0000
commit2aa4a82499d4becd2284cdb482213d541b8804dd (patch)
treeb80bf8bf13c3766139fbacc530efd0dd9d54394c /third_party/rust/cast/ci/script.sh
parentInitial commit. (diff)
downloadfirefox-2aa4a82499d4becd2284cdb482213d541b8804dd.tar.xz
firefox-2aa4a82499d4becd2284cdb482213d541b8804dd.zip
Adding upstream version 86.0.1.upstream/86.0.1upstream
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'third_party/rust/cast/ci/script.sh')
-rw-r--r--third_party/rust/cast/ci/script.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/third_party/rust/cast/ci/script.sh b/third_party/rust/cast/ci/script.sh
new file mode 100644
index 0000000000..4715638328
--- /dev/null
+++ b/third_party/rust/cast/ci/script.sh
@@ -0,0 +1,14 @@
+set -ex
+
+main() {
+ cross test --target $TARGET
+ cross test --target $TARGET --release
+
+ [ "$TRAVIS_RUST_VERSION" -eq "nightly" ] && cross test --feature x128 --target $TARGET
+ [ "$TRAVIS_RUST_VERSION" -eq "nightly" ] && cross test --feature x128 --target $TARGET --release
+
+ cross test --no-default-features --target $TARGET
+ cross test --no-default-features --target $TARGET --release
+}
+
+main